<ion-header>
    <ion-toolbar color="primary">
      <ion-buttons slot="start">
        <ion-menu-button color="secondary"></ion-menu-button>        
      </ion-buttons>
      <ion-title>
          <ion-text color="light">
            <ion-text color="light" class="fw700">Queue</ion-text>
          </ion-text>
      </ion-title>
      <ion-buttons slot="end">
        <!--
        <ion-button size="small" shape="round" color="light" (click)="showNotifications()">
          <ion-icon name="notifications"></ion-icon>
          <ion-badge color="danger" slot="end">2</ion-badge>
        </ion-button>
        -->
        <ion-button size="small" shape="round" color="light" (click)="reRouteTo('queue-list')">
          <ion-icon name="list-box"></ion-icon>
        </ion-button>
        <ion-button size="small" shape="round" color="light" (click)="reRouteTo('edit-profile')">
            <ion-icon name="person"></ion-icon>
        </ion-button>
        <!--
        <ion-button size="small" shape="round" color="light" (click)="reRouteTo('settings')">
          <ion-icon name="settings"></ion-icon>
        </ion-button>
        -->
      </ion-buttons>
    </ion-toolbar>
</ion-header>
<ion-content padding style="--background:rgb(243, 243, 243);">
      <ion-grid>
        <ion-row padding>
          <ion-col padding>
            <!--
            <div *ngIf="user.RoleCode=='CSA'">
                <ion-text color="danger">You are currently serving {{srv.Counts + srvcol.Counts}}  customer.</ion-text> <br />
                <ion-text color="primary">You have completed serving {{cmp.Counts}} customers.</ion-text>
            </div>           
          -->
            <div>
                <ion-text color="danger">{{srv.Counts + srvcol.Counts}}  customer{{srv.Counts + srvcol.Counts>1?'s':''}} being served.</ion-text> <br />
                <ion-text color="primary">{{cmp.Counts}} customer{{cmp.Counts>1?'s':''}} served.</ion-text>
            </div>
          </ion-col>
        </ion-row>
        <ion-row padding *ngIf="user.RoleCode=='CSA'" style="padding-bottom: 0px; padding-top: 0px;">
            <ion-col>
                <ion-button expand="block" 
                            fill="solid" 
                            color="{{srv.Counts?'success':'primary'}}" 
                            (click)="nextQueue('service')">
                            {{srv.Counts?'Current':'Next'}} Service
                </ion-button>
            </ion-col>
            <ion-col>
                <ion-button expand="block" 
                            fill="solid" 
                            color="{{srvcol.Counts?'success':'primary'}}"
                            (click)="nextQueue('collection')">
                            {{srvcol.Counts?'Current':'Next'}} Collection
                </ion-button>
            </ion-col>            
        </ion-row>        
        <ion-row>
          <ion-col>
            <ion-card (click)="viewSumItems(mec.GroupCode,'Waiting')">
              <ion-card-header color="light">
                  <h4>{{mec.GroupDesc}}</h4>
              </ion-card-header>            
              <ion-card-content>
                <ion-text [color]="mec.Counts?'dark':'medium'">
                    <h1>{{mec.Counts}} Waiting Customers</h1>
                </ion-text>
              </ion-card-content>
            </ion-card>
          </ion-col>
          <ion-col>
            <ion-card (click)="viewSumItems(bnp.GroupCode,'Waiting')">
                <ion-card-header color="light">
                  <h4>{{bnp.GroupDesc}}</h4>
                </ion-card-header>              
                <ion-card-content>
                  <ion-text [color]="bnp.Counts?'dark':'medium'">
                      <h1>{{bnp.Counts}} Waiting Customers</h1>
                  </ion-text>
                </ion-card-content>
              </ion-card>
          </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
              <ion-card (click)="viewSumItems(col.GroupCode,'Waiting')">
                <ion-card-header color="light">
                    <h4>{{col.GroupDesc}}</h4>
                </ion-card-header>            
                <ion-card-content>
                    <ion-text [color]="col.Counts?'dark':'medium'">
                        <h1>{{col.Counts}} Waiting Customers</h1>
                    </ion-text>                    
                </ion-card-content>
              </ion-card>
            </ion-col>
            <ion-col>
              <ion-card (click)="viewSumItems(null,'On-Hold')">
                  <ion-card-header color="light">
                    <h4>{{hld.GroupDesc}}</h4>                  
                  </ion-card-header>              
                  <ion-card-content>
                      <ion-text [color]="hld.Counts?'dark':'medium'">
                          <h1>{{hld.Counts}} On-Hold Customers</h1>
                      </ion-text>                    
                  </ion-card-content>
                </ion-card>
            </ion-col>
          </ion-row>          
      </ion-grid>        
</ion-content>
